import { Options } from './options.js';
import type { FireworksOptions, FireworksTypes } from './types.js';
export declare class Fireworks {
    private target;
    private container;
    private canvas;
    private ctx;
    private width;
    private height;
    private traces;
    private explosions;
    private waitStopRaf;
    private running;
    private readonly opts;
    private readonly sound;
    private readonly resize;
    private readonly mouse;
    private readonly raf;
    constructor(container: Element | HTMLCanvasElement, options?: FireworksOptions);
    get isRunning(): boolean;
    get version(): string;
    get currentOptions(): Options;
    start(): void;
    stop(dispose?: boolean): void;
    waitStop(dispose?: boolean): Promise<void>;
    pause(): void;
    clear(): void;
    launch(count?: number): void;
    updateOptions(options: FireworksOptions): void;
    updateSize({ width, height }?: Partial<FireworksTypes.Sizes>): void;
    updateBoundaries(boundaries: Partial<FireworksTypes.Boundaries>): void;
    private createCanvas;
    private render;
    private createTrace;
    private initTrace;
    private drawTrace;
    private initExplosion;
    private drawExplosion;
}
